# $Revision: 1.46 $, $Date: 2006/06/21 21:20:51 $
Summary:	Tool to check and undelete partition
Summary(fr):	Outil pour vrifier et restorer des partitions
Summary(pl):	Narzdzie sprawdzajce i odzyskujce partycje
Summary(ru):	      
Name:		testdisk
Version:	6.4
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tar.bz2
# Source0-md5:	188c2216c76f2fe4db8eae1ea033188a
URL:		http://www.cgsecurity.org/testdisk.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	e2fsprogs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	ntfsprogs-devel >= 1.13.1
BuildRequires:	progsreiserfs-devel >= 0.3.1-1.rc8.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tool to check and undelete partition. Works with the following
partitions:
- FAT12 FAT16 FAT32
- Linux Ext2, Ext3
- Linux SWAP (version 1 and 2)
- Linux Raid
- LVM and LVM2, Linux Logical Volume Manager
- BeFS (BeOS)
- BSD disklabel (FreeBSD/OpenBSD/NetBSD)
- CramFS (Compressed File System)
- HFS, Hierarchical File System
- JFS, IBM's Journaled File System
- Netware NSS
- NTFS (Windows NT/2k/XP)
- ReiserFS 3.5, 3.6
- UFS (Sun/BSD)
- XFS

%description -l fr
Outil pour vrifier et restorer des partitions. Fonctionne avec les
partitions suivantes:
- FAT12 FAT16 FAT32
- Linux Ext2, Ext3
- Linux SWAP (version 1 and 2)
- Linux Raid
- LVM and LVM2, Linux Logical Volume Manager
- BeFS (BeOS)
- BSD disklabel (FreeBSD/OpenBSD/NetBSD)
- CramFS (Compressed File System)
- HFS, Hierarchical File System
- JFS, IBM's Journaled File System
- Netware NSS
- NTFS (Windows NT/2k/XP)
- ReiserFS 3.5, 3.6
- UFS (Sun/BSD)
- XFS

%description -l pl
Narzdzie sprawdzajce i odzyskujce partycje. Pracuje z partycjami:
- FAT12 FAT16 FAT32
- Linux Ext2, Ext3
- Linux SWAP (version 1 and 2)
- Linux Raid
- LVM and LVM2, Linux Logical Volume Manager
- BeFS (BeOS)
- BSD disklabel (FreeBSD/OpenBSD/NetBSD)
- CramFS (Compressed File System)
- HFS, Hierarchical File System
- JFS, IBM's Journaled File System
- Netware NSS
- NTFS (Windows NT/2k/XP)
- ReiserFS 3.5, 3.6
- UFS (Sun/BSD)
- XFS

%description -l ru
      . 
  :
- FAT12 FAT16 FAT32
- Linux Ext2, Ext3
- Linux SWAP (version 1 and 2)
- Linux Raid
- LVM and LVM2, Linux Logical Volume Manager
- BeFS (BeOS)
- BSD disklabel (FreeBSD/OpenBSD/NetBSD)
- CramFS (Compressed File System)
- HFS, Hierarchical File System
- JFS, IBM's Journaled File System
- Netware NSS
- NTFS (Windows NT/2k/XP)
- ReiserFS 3.5, 3.6
- UFS (Sun/BSD)
- XFS

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1}

install src/testdisk $RPM_BUILD_ROOT%{_sbindir}
install src/photorec $RPM_BUILD_ROOT%{_sbindir}
install doc_src/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INFO NEWS README THANKS doc/*.html doc/*.gif
%{_mandir}/man1/*.1*
%attr(755,root,root) %{_sbindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: testdisk.spec,v $
Revision 1.46  2006/06/21 21:20:51  areq
- 6.4

Revision 1.45  2006/04/26 21:32:54  zbyniu
- summaries, descs fr, ru from spec included in source0; manuals packaged

Revision 1.44  2006/03/11 18:10:26  areq
- 6.3

Revision 1.43  2006/01/08 02:22:02  sparky
- BR libjpeg-devel (used by photorec)

Revision 1.42  2005/11/09 21:31:48  tommat
- missing dot in description

Revision 1.41  2005/10/22 18:30:56  areq
- 6.2

Revision 1.40  2005/10/14 20:42:42  arekm
- rel 2

Revision 1.39  2005/10/03 20:15:42  areq
- final 5.9

Revision 1.38  2005/09/10 17:36:39  areq
- 5.9

Revision 1.37  2005/06/04 17:29:07  areq
- 5.8

Revision 1.36  2005/04/05 11:06:52  areq
- 5.7

Revision 1.35  2005/02/16 23:08:33  areq
- 5.6

Revision 1.34  2005/01/15 13:34:14  darekr
- revert

Revision 1.33  2005/01/15 10:24:56  darekr
- BR: s/e2fsprogs/libuuid/

Revision 1.32  2004/11/10 11:49:07  areq
- add photorec

Revision 1.31  2004/11/10 10:47:33  areq
- 5.5

Revision 1.30  2004/11/02 22:00:45  areq
- final 5.4

Revision 1.29  2004/10/29 13:36:57  paladine
- spelling fixes

Revision 1.28  2004/10/29 11:14:48  areq
- add ntfs.patch for ntfsprogs-devel >= 1.9.4

Revision 1.27  2004/09/20 00:07:42  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.26  2004/08/27 21:25:57  qboosh
- updated ncurses patch, quote CC

Revision 1.25  2004/08/27 13:16:50  areq
- 5.4

Revision 1.24  2004/05/28 13:10:35  areq
- 5.3
- remove outdated va.patch

Revision 1.23  2004/05/13 17:06:41  ankry
- spaces -> tabs, other cosmetics

Revision 1.22  2004/03/18 21:48:59  qboosh
- va patch is back (updated)

Revision 1.21  2004/03/17 11:37:48  areq
- 5.2, (remove va.patch ?)

Revision 1.20  2004/03/06 21:38:36  areq
- 5.1

Revision 1.19  2004/01/05 21:43:45  areq
- start update to 5.0, NFY

Revision 1.18  2003/12/27 21:54:35  qboosh
- added va patch (fixes build on alpha)
- removed LICENSE from doc (just GPL)
- release 2

Revision 1.17  2003/10/06 17:05:56  areq
- 4.5

Revision 1.16  2003/05/28 13:02:13  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:27:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/04/06 16:21:58  qboosh
- use optflags
- updated LIBEXT patch to use shared progsreiserfs

Revision 1.13  2003/04/05 16:32:45  areq
- use progsreiserfs-devel

Revision 1.12  2003/03/28 17:46:18  areq
- 4.4

Revision 1.11  2002/11/29 14:32:46  areq
- ugly upgrade to 4.3, STBR
- remove updated va_arg.patch

Revision 1.10  2002/11/18 08:41:21  kloczek
- cosmetics.

Revision 1.9  2002/11/18 08:39:14  marcus
- rel.2. fixed va_arg on ppc (thanks mmazur)

Revision 1.8  2002/06/02 06:25:35  kloczek
- aded ncurses-devel to BuildRequires,
- use proper CC.

Revision 1.7  2002/05/30 20:50:01  areq
- 4.1, STBR
- add html doc
- new %doc

Revision 1.6  2002/04/04 15:21:20  pioklo
- updated to 4.0 ,STBR

Revision 1.5  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/28 09:25:04  adasi
 - cosmetics

Revision 1.2  2002/01/28 09:11:51  qboosh
- pl chars

Revision 1.1  2002/01/27 22:05:15  areq
- init PLD spec
